---
apiVersion: v1
kind: Service
metadata:
  name: fr-ticker-service
spec:
  selector:
    app: fr-ticker-app
  ports:
  - protocol: "TCP"
    port: 8080
    targetPort: 8081
  type: LoadBalancer

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: fr-ticker-app
spec:
  selector:
    matchLabels:
      app: fr-ticker-app
  replicas: 1
  template:
    metadata:
      labels:
        app: fr-ticker-app
    spec:
      containers:
      - name: fr-ticker-app
        image: damonconway/fr-ticker:v1.1
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 8081
        env:
          - name: NDAYS
            valueFrom:
              configMapKeyRef:
                name: fr-ticker-config
                key: ndays
          - name: PORT
            valueFrom:
              configMapKeyRef:
                name: fr-ticker-config
                key: port
          - name: SYMBOL
            valueFrom:
              configMapKeyRef:
                name: fr-ticker-config
                key: symbol

# ---
# apiVersion: v1
# kind: ConfigMap
# metadata:
#   name: fr-ticker-config
#   namespace: default
# data:
#   ndays: 7
#   port: 8081
#   symbol: MSFT
